org.apache.flume.auth

## Interface PrivilegedExecutor

- All Known Subinterfaces:
    FlumeAuthenticator

      public interface PrivilegedExecutor

  PrivilegedExecutor provides the ability to execute a PrivilegedAction or a PrivilegedExceptionAction. Implementors of this class, can chose to execute in normal mode or secure authenticated mode

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `execute(PrivilegedAction<T> action)` This method is used to execute a privileged action, the implementor can chose to execute the action using the appropriate privileges
    `<T> T` | `execute(PrivilegedExceptionAction<T> action)` This method is used to execute a privileged action, the implementor can chose to execute the action using the appropriate privileges

- - ### Method Detail

    - #### execute

          <T> T execute(PrivilegedExceptionAction<T> action)
                    throws Exception

      This method is used to execute a privileged action, the implementor can chose to execute the action using the appropriate privileges
      Type Parameters:
        `T` - The return type of the action
      Parameters:
        `action` - A PrivilegedExceptionAction to perform as the desired user
      Returns:
        T the T value returned by action.run()
      Throws:
        `Exception`

    - #### execute

          <T> T execute(PrivilegedAction<T> action)

      This method is used to execute a privileged action, the implementor can chose to execute the action using the appropriate privileges
      Type Parameters:
        `T` - The return type of the action
      Parameters:
        `action` - A PrivilegedAction to perform as the desired user
      Returns:
        T the T value returned by action.run()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.